/* eslint-disable import/order */
// import "bootstrap/scss/bootstrap.scss";
import '@/@fake-db/db'
import '@/@iconify/icons-bundle'
import App from '@/App.vue'
import ability from '@/plugins/casl/ability'
import i18n from '@/plugins/i18n'
import vuetify from '@/plugins/vuetify'
import { loadFonts } from '@/plugins/webfontloader'
import router from '@/router'
import { abilitiesPlugin } from '@casl/vue'
import '@core-scss/template/index.scss'
import '@layouts/styles/index.scss'
import '@styles/styles.scss'
// import VueVideoPlayer from '@videojs-player/vue'
import Vueform from '@vueform/vueform'
import 'https://maps.googleapis.com/maps/api/js?key=AIzaSyBdqGrpK1HLNCZJueD7g3uUlKcLEDM_MmQ&libraries=places'
import { createPinia } from 'pinia'
// import 'video.js/dist/video-js.css'
import { createApp } from 'vue'
import 'vuetify/dist/vuetify.min.css'
import vueformConfig from './../../vueform.config'
import store from './store'
// import '@vueform/vueform/themes/bootstrap/scss/index.scss';
loadFonts()


// Create vue app
const app = createApp(App)
app.use(Vueform, vueformConfig)
app.use(store)
// Use plugins
app.use(vuetify)
app.use(createPinia())
app.use(router)
app.use(i18n)
// app.use(VueVideoPlayer)
app.use(abilitiesPlugin, ability, {
  useGlobalProperties: true,
})
// Mount vue app
app.mount('#app')
